Subject: [Qirg] comments on Use Cases draft

From: Rodney Van Meter <[email-masked]>
Date: Tue, 19 Oct 2021 21:42:44 +0900

Chonggang et al.,

Some comments on
https://datatracker.ietf.org/doc/draft-irtf-qirg-quantum-internet-use-cases/

Crypto apps:

QKD should be generalized as creation fo shared, guaranteed secret classical bits. Their most obvious use case is keying of cryptogrqphic communication, either IPsec or TLS, with the caveat that latency of starting up a QKD connection is very high.
Should include secret sharing. with the caveat that it is a subroutine rather than an application.
Leader election. I think of this as crypto rather than distributed computing, but I suppose it can be either.

Clock sync. There are three completely independent proposals. Jozsa-Dowling, Chuang, and Komar-Lukin. Very different internally.

I think encephalography is a standalone app. Distributed imaging is Gottesman telescope interferometry.
More generally, there are several applications of entanglement as a reference frame.

Likewise, chemistry is a standalone app, no relationship to networking.

Blind computing is a platform technology, not an application. Any q app can be run remotely and safely using it. I think it's important to highlight that blind is client-server, like the original ARPANET.

In contrast to client-server, grouping together nodes simply to achieve scalability is like today's supercomputers or multicomputers. Work on this extends back to my Ph.D. thesis as well as work by Daniel Oi, Liang Jiang, and more recently Muhammed Ahsan. Most of the work has focused on the systems rather than the apps, though Yimsiriwattana and I both looked at Shor. My papers on multicomputers are already cited here, but this distinction between wide area/system area network and client-server v. symmetric multicomputer isn't conveyed clearly.

I'm not sure the control plane data plane discussion adds anything at all to the document.

BBM92 and E91 need to be discussed as entanglement-based QKD.

Enough for now. Hope this helps!

—Rod

Rodney Van Meter
[email-masked]
Professor, Faculty of Environment and Information Studies, Keio University, Japan